Bug 427274 - Previous tabs are lost when Dolphin is open from specific folder shortcut
Summary: Previous tabs are lost when Dolphin is open from specific folder shortcut
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: 20.08.1
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2020-10-03 01:25 UTC by Max
Modified: 2020-12-16 22:26 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Max 2020-10-03 01:25:31 UTC
SUMMARY
Dolphin seems to not restore previous tabs when being open not from 'Dolphin' shortcut, but from some specific folder's shortcut on Desktop

STEPS TO REPRODUCE
1. Configure Dolphin to open previous tabs on launch
2. Close the app with 'X' button
3. Click on 'Downloads' or 'Home' folder shortcut on desktop

OBSERVED RESULT
Dolphin is open with the shortcut's path, but only one tab (previous tabs are lost)

EXPECTED RESULT
Previous tabs must be restored, and shortcut's path ("Downloads" or "Home" in this example) should be open as a new tab

SOFTWARE/OS VERSIONS
KDE Neon: 5.19
Plasma: 5.19.5
KDE Frameworks: 5.74.0
Qt version: 5.15.0

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2020-10-04 15:46:17 UTC
At the moment this is intentional. Dolphin will only remember prior tabs when called with no command-line arguments. Perhaps we can revisit that though.

Up to the maintainer, I think.
Comment 2 Max 2020-10-04 18:47:29 UTC
(In reply to Nate Graham from comment #1)
> At the moment this is intentional. Dolphin will only remember prior tabs
> when called with no command-line arguments. Perhaps we can revisit that
> though.
> 
> Up to the maintainer, I think.

Okay, good to know that it's intentional.
However, I found such a behavior not intuitive, and spent some time figuring out why my tabs are not getting restored sometimes.
Comment 3 Nate Graham 2020-10-04 18:53:31 UTC
Hopefully it shouldn't be that hard to change. I'll want confirmation from Elvis that this is desired though.
Comment 4 Elvis Angelaccio 2020-10-05 20:37:06 UTC
Yeah I can see this being annoying. Go for it.
Comment 5 Bug Janitor Service 2020-10-06 18:20:21 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/75
Comment 6 Nate Graham 2020-10-11 17:03:09 UTC
Git commit 4937992e93088bb572cda971bb899aed0e812aa3 by Nate Graham.
Committed on 11/10/2020 at 17:02.
Pushed by ngraham into branch 'master'.

When restoring former window state, append any URLs passed as args

Before, when Dolphin was closed but opened with any URLs, it would open
a new window with only those URLs, rather than restoring any window
state (if the user has this feature enabled).

Now, Dolphin will first restore state (if enabled) and then append any
URLs, rather than replacing the existing set of URLs.

The "new instance" case was previously handled automatically and now
needs to be explictly handled by checking for it, to make sure that new
instances give you a clean window rather than a state-restored window.
FIXED-IN: 20.12

M  +9    -2    src/main.cpp

https://invent.kde.org/system/dolphin/commit/4937992e93088bb572cda971bb899aed0e812aa3